%define confdir %{_sysconfdir}/cvsgraph

Summary: Create graphs of branches and revisions for files in a CVS repository
Name: cvsgraph
Version: 1.4.0
Release: 1
Copyright: GPL
Group: Applications/Publishing
Source0: http://www.akhphd.au.dk/~bertho/cvsgraph/%{name}-%{version}.tar.gz
URL: http://www.akhphd.au.dk/~bertho/cvsgraph/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gd freetype libjpeg libpng zlib
Requires: gd freetype libjpeg libpng zlib

%description
CvsGraph is a utility to make a graphical representation of all revisions
and branches of a file in a CVS/RCS repository. It has been inspired by
the 'graph' option in WinCVS, but I could not find a stand-alone version
of this graph code. So, it was time to write one.

%prep
[ "$RPM_BUILD_ROOT" != "/" ] && /bin/rm -rf $RPM_BUILD_ROOT

%setup

%build
./configure --sysconfdir=%{confdir}
make

%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/{man1,man5}
install -d -m 755 $RPM_BUILD_ROOT%{confdir}
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/%{name} $RPM_BUILD_ROOT%{_bindir}
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/%{name}.conf $RPM_BUILD_ROOT%{confdir}
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/%{name}.conf.5 $RPM_BUILD_ROOT%{_mandir}/man5
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/{ChangeLog,cvsgraphwrapper.php3,LICENSE,mkimage.php3,README} $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{confdir}/%{name}.conf
%dir %{confdir}
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/*

%changelog
* Mon Mar 17 2003 Bertho Stultiens <cvsgraph@akhphd.au.dk>
- Update for version 1.4.0
* Mon Feb 24 2003 Jason Corley <jason.corley@borland.com>
- Initial creation
